<?php
error_reporting(0); 
include("../../config/qiantai.php");
session_start();
session_start();
if(!isset($_SESSION['username'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
$username=ubo($_SESSION['username']);
$type="where name='$username'";
$user=queryall(user,$type);
$userid=$user['userid'];
if(!$user){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
$btime=ubo($_GET['btime']);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>返佣列表</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="format-detection" content="telephone=no">
<link rel="stylesheet" href="/2019newui/qiantai/css/x-admin.css" media="all">
<link rel="stylesheet" href="/layui/css/houtai.css" media="all" />
</head>
<body>
<div class="x-body">
<?php
$sql = mysql_query("SELECT * FROM fanyong WHERE  tjr='$userid'");
$bs = mysql_num_rows($sql);
?>
<blockquote class="layui-elem-quote">
<dl class="apps-filter-tr">
<dt><span  class="xb">返佣明细</span></dt>
</dl>
<span class="x-right" style="margin-top:-24px;line-height:10px">共有记录：<?php echo $bs?> 条 <a class="layui-btn-small" style="line-height:10px;margin-top:-2px;float:right"  href="javascript:location.replace(location.href);" title="刷新"><i class="fa fa-refresh"></i></a></span>
</blockquote>
<form class="layui-form" action="">
<div class="layui-form-item" style="text-align:center;">
<div class="layui-inline">
<div class="layui-input-inline">
<input autocomplete="off" class="layui-input" placeholder="请输入日期" type="text" name="btime"  id="btime"  value="<?php if($btime==null){ echo $day;}else{ echo $btime;}?>">
</div>
</div>
<div class="layui-inline" style="text-align:left;">
<div class="layui-input-inline">
<button class="layui-btn" onclick="so()">查询</button>
</div>
</div>
</div>
</form>
<table class="layui-table">
<thead>
<tr>
<th style="text-align:center;" >返佣时间</th>
<th style="text-align:center;" >返佣金额</th>
<th style="text-align:center;" >下线提现用户</th>
<th style="text-align:center;" >下线提现金额</th>
</tr> 
</thead>
<tbody>
<?php 
$page_size=22; 
$sql = "WHERE 1=1";
$sql .=" and tjr='$userid' ";
if($btime){
$sql .=" and shijian like '%$btime%' ";
}
$resul = mysql_query("select id from   fanyong      ".$sql."");
$count = mysql_num_rows($resul);
if($count == 0){echo '<tr><td colspan="5" style="text-align:center;">没有记录</td></tr> ';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$query = mysql_query("select * from   fanyong    ".$sql."  order by id desc     limit $offset, $page_size");
while ($a=mysql_fetch_array($query)) { 
?> 	
<tr>
<td style="text-align:center;" ><?php echo $a['shijian']?></td>
<td  style="text-align:center;" >￥ <?php echo $a['fymoney']?> 元</td>
<td style="text-align:center;" ><?php echo $a['name']?></td>
<td  style="text-align:center;" >￥ <?php echo $a['money2']?> 元</td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
if($btime){
$keyt.="<a href=\""."/fypagesotime/1/$btime/\">首页</a>"; //首页 
$keyt.="<a href=\""."/fypagesotime/".($page-1)."/$btime/\">上一页 </a>"; //上一页 
}else{
$keyt.="<a href=\""."/fypage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/fypage/".($page-1)."/\">上一页 </a>"; //上一页 
}
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
if($btime){
$keyt.="<a href=\""."/fypagesotime/".$i."/$btime/\">".$i."</a>"; 
}else{
$keyt.="<a href=\""."/fypage/".$i."/\">".$i."</a>"; 
}
} 
} 
if($page!=$pages){ 
if($btime){
$keyt.="<a href=\""."/fypagesotime/".($page+1)."/$btime/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/fypagesotime/{$pages}/$btime/\">尾页</a> "; //最后一页 
}else{
$keyt.="<a href=\""."/fypage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/fypage/{$pages}/\">尾页</a> "; //最后一页 
}
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b>$page</b> 页/共 <b>$pages</b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?> 
</tbody>
</table>
<?php if($count =="0"){?>
<?php }else{?>
<div style="padding:0 20px;">
<div class="pagination">
<?php echo $keyt?>
</div>
</div>
<?php }?>
</div>
</div>
<script src="/layui/layui.js"></script>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
laydate.render({
elem: '#btime'
});
});
</script>
<script>
function so() {
var btime = $('#btime').val();
if (btime== '') {
return false;
}
window.location.href='/fypagesotime/1/'+btime+'/'; 
}
</script>
</body>
</html>